![]() |
Blitz Support : |
From: Julian Cummings (cummings_at_[hidden])
Date: 2005-06-16 13:14:40
Hello Andrew,
Very strange! It seems like configure behaved properly and did not define
HAVE_IEEE_MATH so the code giving you the error should never have been
compiled. You should look in the configure-generated file
<blitz/gnu/bzconfig.h> and if BZ_HAVE_IEEE_MATH is defined, comment that
line out or change it to a #undef. The bzconfig.h file is generated from
the file <blitz/config.h>, which in turn is generated from config.h.in. The
only purpose of the bzconfig.h file is to make the macros blitz-specific and
the file compiler-specific. You might check the <blitz/config.h> file, just
to see if something was lost along the way during the file generation
process. I don't have a mingw32 system to test this myself.
Regards, Julian C.
Dr. Julian C. Cummings Office: PB-111
Caltech/CACR, MC 158-79 Phone: 626-395-2543
1200 E. California Blvd. Fax: 626-584-5917
Pasadena, CA 91125
> -----Original Message-----
> From: blitz-support-bounces_at_[hidden]
> [mailto:blitz-support-bounces_at_[hidden]] On Behalf Of
> Andrew Hurst
> Sent: Wednesday, June 15, 2005 8:56 AM
> To: blitz-support_at_[hidden]; andrewhurst_at_[hidden]
> Subject: Re: [Blitz-support] blitz under mingw32
>
>
> Here's config.log
>
> --------------------------------------------------------------
> -------------------------------
>
> This file contains any messages produced by compilers while
> running configure, to aid debugging if configure makes a mistake.
>
> It was created by blitz configure 0.8, which was
> generated by GNU Autoconf 2.59. Invocation command line was
>
> $ ./configure --host=i586-mingw32msvc
> --build=i686-pc-linux-gnu --target=i586-mingw32msvc
> --disable-shared --enable-std_iostreams
>
> ## --------- ##
> ## Platform. ##
> ## --------- ##
>
> hostname = wurundjeri
> uname -m = i686
> uname -r = 2.4.27-2-686-smp
> uname -s = Linux
> uname -v = #1 SMP Mon May 16 16:55:31 JST 2005
>
> /usr/bin/uname -p = unknown
> /bin/uname -X = unknown
>
> /bin/arch = i686
> /usr/bin/arch -k = unknown
> /usr/convex/getsysinfo = unknown
> hostinfo = unknown
> /bin/machine = unknown
> /usr/bin/oslevel = unknown
> /bin/universe = unknown
>
> PATH: /usr/local/bin
> PATH: /usr/bin
> PATH: /bin
> PATH: /usr/bin/X11
> PATH: /usr/games
>
>
> ## ----------- ##
> ## Core tests. ##
> ## ----------- ##
>
> configure:1623: checking build system type
> configure:1641: result: i686-pc-linux-gnu
> configure:1649: checking host system type
> configure:1663: result: i586-pc-mingw32msvc
> configure:1671: checking target system type
> configure:1685: result: i586-pc-mingw32msvc
> configure:1714: checking for a BSD-compatible install
> configure:1769: result: /usr/bin/install -c
> configure:1780: checking whether build environment is sane
> configure:1823: result: yes
> configure:1880: checking for gawk
> configure:1896: found /usr/bin/gawk
> configure:1906: result: gawk
> configure:1916: checking whether make sets $(MAKE)
> configure:1936: result: yes
> configure:2015: checking for i586-mingw32msvc-strip
> configure:2031: found /usr/bin/i586-mingw32msvc-strip
> configure:2041: result: i586-mingw32msvc-strip
> configure:2104: checking whether to enable
> maintainer-specific portions of Makefiles
> configure:2113: result: no
> configure:2138:
>
> Configuring blitz 0.8 for i586-pc-mingw32msvc
>
>
> configure:2160: checking for i586-mingw32msvc-xlf
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-ifort
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-ifc
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-f77
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-g77
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-pgf77
> configure:2189: result: no
> configure:2160: checking for i586-mingw32msvc-fort77
> configure:2189: result: no
> configure:2202: checking for xlf
> configure:2231: result: no
> configure:2202: checking for ifort
> configure:2231: result: no
> configure:2202: checking for ifc
> configure:2231: result: no
> configure:2202: checking for f77
> configure:2218: found /usr/bin/f77
> configure:2228: result: f77
> configure:2243: checking for Fortran 77 compiler version
> configure:2246: f77 --version </dev/null >&5
> GNU Fortran (GCC) 3.3.6 (Debian 1:3.3.6-5)
> Copyright (C) 2002 Free Software Foundation, Inc.
>
> GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
> You may redistribute copies of GNU Fortran
> under the terms of the GNU General Public License.
> For more information about these matters, see the file named COPYING
> or type the command `info -f g77 Copying'.
> configure:2249: $? = 0
> configure:2251: f77 -v </dev/null >&5
> Reading specs from /usr/lib/gcc-lib/i486-linux/3.3.6/specs
> Configured with: ../src/configure -v
> --enable-languages=c,c++,java,f77,pascal,objc,ada,treelang
> --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
> --with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared
> --enable-__cxa_atexit
> --with-system-zlib --enable-nls --without-included-gettext
> --enable-clocale=gnu --enable-debug
> --enable-java-gc=boehm --enable-java-awt=xlib
> --enable-objc-gc i486-linux
> Thread model: posix
> gcc version 3.3.6 (Debian 1:3.3.6-5)
> configure:2254: $? = 0
> configure:2256: f77 -V </dev/null >&5
> f77: `-V' option must have argument
> configure:2259: $? = 1
> configure:2273: checking for Fortran 77 compiler default
> output file name
> configure:2276: f77 conftest.f >&5
> configure:2279: $? = 0
> configure:2325: result: a.out
> configure:2330: checking whether the Fortran 77 compiler works
> configure:2356: result: yes
> configure:2363: checking whether we are cross compiling
> configure:2365: result: yes
> configure:2368: checking for suffix of executables
> configure:2370: f77 -o conftest conftest.f >&5
> configure:2373: $? = 0
> configure:2398: result:
> configure:2404: checking for suffix of object files
> configure:2415: f77 -c conftest.f >&5
> configure:2418: $? = 0
> configure:2440: result: o
> configure:2448: checking whether we are using the GNU Fortran
> 77 compiler
> configure:2462: f77 -c conftest.F >&5
> configure:2468: $? = 0
> configure:2472: test -z
> || test ! -s conftest.err
> configure:2475: $? = 0
> configure:2478: test -s conftest.o
> configure:2481: $? = 0
> configure:2494: result: yes
> configure:2500: checking whether f77 accepts -g
> configure:2512: f77 -c -g conftest.f >&5
> configure:2518: $? = 0
> configure:2522: test -z
> || test ! -s conftest.err
> configure:2525: $? = 0
> configure:2528: test -s conftest.o
> configure:2531: $? = 0
> configure:2543: result: yes
> configure:2581: checking for i586-mingw32msvc-xlf90
> configure:2610: result: no
> configure:2581: checking for i586-mingw32msvc-ifort
> configure:2610: result: no
> configure:2581: checking for i586-mingw32msvc-ifc
> configure:2610: result: no
> configure:2581: checking for i586-mingw32msvc-f90
> configure:2610: result: no
> configure:2581: checking for i586-mingw32msvc-pgf90
> configure:2610: result: no
> configure:2623: checking for xlf90
> configure:2652: result: no
> configure:2623: checking for ifort
> configure:2652: result: no
> configure:2623: checking for ifc
> configure:2652: result: no
> configure:2623: checking for f90
> configure:2652: result: no
> configure:2623: checking for pgf90
> configure:2652: result: no
> configure:2664: checking for Fortran compiler version
> configure:2667: --version </dev/null >&5
> ./configure: line 2668: --version: command not found
> configure:2670: $? = 127
> configure:2672: -v </dev/null >&5
> ./configure: line 2673: -v: command not found
> configure:2675: $? = 127
> configure:2677: -V </dev/null >&5
> ./configure: line 2678: -V: command not found
> configure:2680: $? = 127
> configure:2688: checking whether we are using the GNU Fortran compiler
> configure:2702: -c conftest.F >&5
> ./configure: line 2703: -c: command not found
> configure:2708: $? = 127
> configure: failed program was:
> | program main
> | #ifndef __GNUC__
> | choke me
> | #endif
> |
> | end
> configure:2734: result: no
> configure:2740: checking whether accepts -g
> configure:2752: -c -g conftest.f >&5
> ./configure: line 2753: -c: command not found
> configure:2758: $? = 127
> configure: failed program was:
> | program main
> |
> | end
> configure:2783: result: no
> configure:2959: checking whether using f77 and preset flags
> configure:3086: result: yes
> configure:3102:
>
> Blitz++ has not been tuned for this platform. You may have trouble
> building fortran benchmarks, and performance may be unexciting.
>
>
> configure:3144: checking for i586-mingw32msvc-xlc++
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-icpc
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-icc
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-xlC
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-cxx
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-aCC
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-CC
> configure:3173: result: no
> configure:3144: checking for i586-mingw32msvc-g++
> configure:3160: found /usr/bin/i586-mingw32msvc-g++
> configure:3170: result: i586-mingw32msvc-g++
> configure:3228: checking for C++ compiler version
> configure:3231: i586-mingw32msvc-g++ --version </dev/null >&5
> i586-mingw32msvc-g++ (GCC) 3.4.2 (mingw-special)
> Copyright (C) 2004 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.
> There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A
> PARTICULAR PURPOSE.
>
> configure:3234: $? = 0
> configure:3236: i586-mingw32msvc-g++ -v </dev/null >&5
> Reading specs from /usr/lib/gcc/i586-mingw32msvc/3.4.2/specs
> Configured with:
> /home/ron/devel/debian/mingw32/mingw32-3.4.2.20040916.1/build_
> dir/src/gcc-3.4.2-20040916-1/configure
> -v --prefix=/usr --target=i586-mingw32msvc
> --enable-languages=c,c++ --enable-threads
> --enable-sjlj-exceptions --disable-multilib
> --enable-version-specific-runtime-libs
> Thread model: win32
> gcc version 3.4.2 (mingw-special)
> configure:3239: $? = 0
> configure:3241: i586-mingw32msvc-g++ -V </dev/null >&5
> i586-mingw32msvc-g++: `-V' option must have argument
> configure:3244: $? = 1
> configure:3247: checking whether we are using the GNU C++ compiler
> configure:3271: i586-mingw32msvc-g++ -c conftest.cc >&5
> configure:3277: $? = 0
> configure:3281: test -z
> || test ! -s conftest.err
> configure:3284: $? = 0
> configure:3287: test -s conftest.o
> configure:3290: $? = 0
> configure:3303: result: yes
> configure:3309: checking whether i586-mingw32msvc-g++ accepts -g
> configure:3330: i586-mingw32msvc-g++ -c -g conftest.cc >&5
> configure:3336: $? = 0
> configure:3340: test -z
> || test ! -s conftest.err
> configure:3343: $? = 0
> configure:3346: test -s conftest.o
> configure:3349: $? = 0
> configure:3360: result: yes
> configure:3402: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:3408: $? = 0
> configure:3412: test -z
> || test ! -s conftest.err
> configure:3415: $? = 0
> configure:3418: test -s conftest.o
> configure:3421: $? = 0
> configure:3447: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc: In function `int main()':
> conftest.cc:15: error: `exit' undeclared (first use this function)
> conftest.cc:15: error: (Each undeclared identifier is
> reported only once for each function it
> appears in.)
> configure:3453: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | /* end confdefs.h. */
> |
> | int
> | main ()
> | {
> | exit (42);
> | ;
> | return 0;
> | }
> configure:3402: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:3408: $? = 0
> configure:3412: test -z
> || test ! -s conftest.err
> configure:3415: $? = 0
> configure:3418: test -s conftest.o
> configure:3421: $? = 0
> configure:3447: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:3453: $? = 0
> configure:3457: test -z
> || test ! -s conftest.err
> configure:3460: $? = 0
> configure:3463: test -s conftest.o
> configure:3466: $? = 0
> configure:3500: checking for style of include used by make
> configure:3528: result: GNU
> configure:3556: checking dependency style of i586-mingw32msvc-g++
> configure:3641: result: gcc3
> configure:3674: checking whether using i586-mingw32msvc-g++
> preset flags
> configure:3788: result: yes
> configure:3805: No flags preset found for i586-mingw32msvc-g++
> configure:3816: checking compiler specific header
> configure:3862: result:
> configure:3904: checking for doxygen
> configure:3920: found /usr/bin/doxygen
> configure:3930: result: doxygen
> configure:3952: checking for dot
> configure:3968: found /usr/bin/dot
> configure:3978: result: dot
> configure:4025: checking whether to enable C++/Fortran 64-bit
> compilation flags
> configure:4038: result: no
> configure:4193: checking for i586-mingw32msvc-gcc
> configure:4209: found /usr/bin/i586-mingw32msvc-gcc
> configure:4219: result: i586-mingw32msvc-gcc
> configure:4501: checking for C compiler version
> configure:4504: i586-mingw32msvc-gcc --version </dev/null >&5
> i586-mingw32msvc-gcc (GCC) 3.4.2 (mingw-special)
> Copyright (C) 2004 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.
> There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A
> PARTICULAR PURPOSE.
>
> configure:4507: $? = 0
> configure:4509: i586-mingw32msvc-gcc -v </dev/null >&5
> Reading specs from /usr/lib/gcc/i586-mingw32msvc/3.4.2/specs
> Configured with:
> /home/ron/devel/debian/mingw32/mingw32-3.4.2.20040916.1/build_
> dir/src/gcc-3.4.2-20040916-1/configure
> -v --prefix=/usr --target=i586-mingw32msvc
> --enable-languages=c,c++ --enable-threads
> --enable-sjlj-exceptions --disable-multilib
> --enable-version-specific-runtime-libs
> Thread model: win32
> gcc version 3.4.2 (mingw-special)
> configure:4512: $? = 0
> configure:4514: i586-mingw32msvc-gcc -V </dev/null >&5
> i586-mingw32msvc-gcc: `-V' option must have argument
> configure:4517: $? = 1
> configure:4520: checking whether we are using the GNU C compiler
> configure:4544: i586-mingw32msvc-gcc -c conftest.c >&5
> configure:4550: $? = 0
> configure:4554: test -z
> || test ! -s conftest.err
> configure:4557: $? = 0
> configure:4560: test -s conftest.o
> configure:4563: $? = 0
> configure:4576: result: yes
> configure:4582: checking whether i586-mingw32msvc-gcc accepts -g
> configure:4603: i586-mingw32msvc-gcc -c -g conftest.c >&5
> configure:4609: $? = 0
> configure:4613: test -z
> || test ! -s conftest.err
> configure:4616: $? = 0
> configure:4619: test -s conftest.o
> configure:4622: $? = 0
> configure:4633: result: yes
> configure:4650: checking for i586-mingw32msvc-gcc option to
> accept ANSI C
> configure:4720: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:4726: $? = 0
> configure:4730: test -z
> || test ! -s conftest.err
> configure:4733: $? = 0
> configure:4736: test -s conftest.o
> configure:4739: $? = 0
> configure:4757: result: none needed
> configure:4775: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> conftest.c:2: error: syntax error before "me"
> configure:4781: $? = 1
> configure: failed program was:
> | #ifndef __cplusplus
> | choke me
> | #endif
> configure:4916: checking dependency style of i586-mingw32msvc-gcc
> configure:5001: result: gcc3
> configure:5018: checking for a sed that does not truncate output
> configure:5072: result: /bin/sed
> configure:5075: checking for egrep
> configure:5085: result: grep -E
> configure:5101: checking for ld used by i586-mingw32msvc-gcc
> configure:5168: result: /usr/i586-mingw32msvc/bin/ld
> configure:5177: checking if the linker
> (/usr/i586-mingw32msvc/bin/ld) is GNU ld
> configure:5192: result: yes
> configure:5197: checking for /usr/i586-mingw32msvc/bin/ld
> option to reload object files
> configure:5204: result: -r
> configure:5213: checking for BSD-compatible nm
> configure:5255: result: /usr/bin/i586-mingw32msvc-nm -B
> configure:5259: checking whether ln -s works
> configure:5263: result: yes
> configure:5270: checking how to recognise dependent libraries
> configure:5453: result: file_magic file format
> pei*-i386(.*architecture: i386)?
> configure:5667: checking how to run the C preprocessor
> configure:5702: i586-mingw32msvc-gcc -E conftest.c
> configure:5708: $? = 0
> configure:5740: i586-mingw32msvc-gcc -E conftest.c
> conftest.c:14:28: ac_nonexistent.h: No such file or directory
> configure:5746: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>
> configure:5785: result: i586-mingw32msvc-gcc -E
> configure:5809: i586-mingw32msvc-gcc -E conftest.c
> configure:5815: $? = 0
> configure:5847: i586-mingw32msvc-gcc -E conftest.c
> conftest.c:14:28: ac_nonexistent.h: No such file or directory
> configure:5853: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>
> configure:5897: checking for ANSI C header files
> configure:5922: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:5928: $? = 0
> configure:5932: test -z
> || test ! -s conftest.err
> configure:5935: $? = 0
> configure:5938: test -s conftest.o
> configure:5941: $? = 0
> configure:6053: result: yes
> configure:6077: checking for sys/types.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for sys/stat.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for stdlib.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for string.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for memory.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for strings.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for inttypes.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for stdint.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6077: checking for unistd.h
> configure:6093: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> configure:6099: $? = 0
> configure:6103: test -z
> || test ! -s conftest.err
> configure:6106: $? = 0
> configure:6109: test -s conftest.o
> configure:6112: $? = 0
> configure:6123: result: yes
> configure:6149: checking dlfcn.h usability
> configure:6161: i586-mingw32msvc-gcc -c -g -O2 conftest.c >&5
> conftest.c:58:19: dlfcn.h: No such file or directory
> configure:6167: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h. */
> | #include <stdio.h>
> | #if HAVE_SYS_TYPES_H
> | # include <sys/types.h>
> | #endif
> | #if HAVE_SYS_STAT_H
> | # include <sys/stat.h>
> | #endif
> | #if STDC_HEADERS
> | # include <stdlib.h>
> | # include <stddef.h>
> | #else
> | # if HAVE_STDLIB_H
> | # include <stdlib.h>
> | # endif
> | #endif
> | #if HAVE_STRING_H
> | # if !STDC_HEADERS && HAVE_MEMORY_H
> | # include <memory.h>
> | # endif
> | # include <string.h>
> | #endif
> | #if HAVE_STRINGS_H
> | # include <strings.h>
> | #endif
> | #if HAVE_INTTYPES_H
> | # include <inttypes.h>
> | #else
> | # if HAVE_STDINT_H
> | # include <stdint.h>
> | # endif
> | #endif
> | #if HAVE_UNISTD_H
> | # include <unistd.h>
> | #endif
> | #include <dlfcn.h>
> configure:6190: result: no
> configure:6194: checking dlfcn.h presence
> configure:6204: i586-mingw32msvc-gcc -E conftest.c
> conftest.c:24:19: dlfcn.h: No such file or directory
> configure:6210: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h. */
> | #include <dlfcn.h>
> configure:6230: result: no
> configure:6265: checking for dlfcn.h
> configure:6272: result: no
> configure:6290: checking how to run the C++ preprocessor
> configure:6321: i586-mingw32msvc-g++ -E conftest.cc
> configure:6327: $? = 0
> configure:6359: i586-mingw32msvc-g++ -E conftest.cc
> conftest.cc:24:28: ac_nonexistent.h: No such file or directory
> configure:6365: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>
> configure:6404: result: i586-mingw32msvc-g++ -E
> configure:6428: i586-mingw32msvc-g++ -E conftest.cc
> configure:6434: $? = 0
> configure:6466: i586-mingw32msvc-g++ -E conftest.cc
> conftest.cc:24:28: ac_nonexistent.h: No such file or directory
> configure:6472: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | /* end confdefs.h. */
> | #include <ac_nonexistent.h>
> configure:6521: checking the maximum length of command line arguments
> configure:6586: result: 32768
> configure:6597: checking command to parse
> /usr/bin/i586-mingw32msvc-nm -B output from
> i586-mingw32msvc-gcc object
> configure:6686: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:6689: $? = 0
> configure:6693: /usr/bin/i586-mingw32msvc-nm -B conftest.o \|
> sed -n -e 's/^.*[
> ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][
> ]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \>
> conftest.nm
> configure:6696: $? = 0
> cannot find nm_test_var in conftest.nm
> configure:6686: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:6689: $? = 0
> configure:6693: /usr/bin/i586-mingw32msvc-nm -B conftest.o \|
> sed -n -e 's/^.*[
> ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][
> ]*\(_\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \>
> conftest.nm
> configure:6696: $? = 0
> configure:6748: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc conftstm.o >&5
> configure:6751: $? = 0
> configure:6789: result: ok
> configure:6793: checking for objdir
> configure:6808: result: .libs
> configure:6860: checking for i586-mingw32msvc-ar
> configure:6876: found /usr/bin/i586-mingw32msvc-ar
> configure:6886: result: i586-mingw32msvc-ar
> configure:6940: checking for i586-mingw32msvc-ranlib
> configure:6956: found /usr/bin/i586-mingw32msvc-ranlib
> configure:6966: result: i586-mingw32msvc-ranlib
> configure:7020: checking for i586-mingw32msvc-strip
> configure:7046: result: i586-mingw32msvc-strip
> configure:7347: checking if i586-mingw32msvc-gcc static flag works
> configure:7370: result: yes
> configure:7388: checking if i586-mingw32msvc-gcc supports
> -fno-rtti -fno-exceptions
> configure:7406: i586-mingw32msvc-gcc -c -g -O2 -fno-rtti
> -fno-exceptions conftest.c >&5
> cc1: warning: command line option "-fno-rtti" is valid for
> C++/ObjC++ but not for C
> configure:7410: $? = 0
> configure:7421: result: no
> configure:7436: checking for i586-mingw32msvc-gcc option to
> produce PIC
> configure:7613: result: -DDLL_EXPORT
> configure:7621: checking if i586-mingw32msvc-gcc PIC flag
> -DDLL_EXPORT works
> configure:7639: i586-mingw32msvc-gcc -c -g -O2 -DDLL_EXPORT
> -DPIC conftest.c >&5
> configure:7643: $? = 0
> configure:7654: result: yes
> configure:7678: checking if i586-mingw32msvc-gcc supports -c -o file.o
> configure:7699: i586-mingw32msvc-gcc -c -g -O2 -o
> out/conftest2.o conftest.c >&5
> configure:7703: $? = 0
> configure:7723: result: yes
> configure:7749: checking whether the i586-mingw32msvc-gcc
> linker (/usr/i586-mingw32msvc/bin/ld)
> supports shared libraries
> configure:8597: result: yes
> configure:8668: checking dynamic linker characteristics
> configure:9208: result: Win32 ld.exe
> configure:9212: checking how to hardcode library paths into programs
> configure:9237: result: immediate
> configure:9251: checking whether stripping libraries is possible
> configure:9256: result: yes
> configure:10086: checking if libtool supports shared libraries
> configure:10088: result: yes
> configure:10091: checking whether to build shared libraries
> configure:10149: result: no
> configure:10152: checking whether to build static libraries
> configure:10156: result: yes
> configure:10248: creating libtool
> configure:10795: checking for ld used by i586-mingw32msvc-g++
> configure:10862: result: /usr/i586-mingw32msvc/bin/ld
> configure:10871: checking if the linker
> (/usr/i586-mingw32msvc/bin/ld) is GNU ld
> configure:10886: result: yes
> configure:10937: checking whether the i586-mingw32msvc-g++
> linker (/usr/i586-mingw32msvc/bin/ld)
> supports shared libraries
> configure:11765: result: yes
> configure:11783: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:11786: $? = 0
> configure:11882: checking for i586-mingw32msvc-g++ option to
> produce PIC
> configure:12134: result: -DDLL_EXPORT
> configure:12142: checking if i586-mingw32msvc-g++ PIC flag
> -DDLL_EXPORT works
> configure:12160: i586-mingw32msvc-g++ -c -g -O2 -DDLL_EXPORT
> -DPIC conftest.cc >&5
> configure:12164: $? = 0
> configure:12175: result: yes
> configure:12199: checking if i586-mingw32msvc-g++ supports -c
> -o file.o
> configure:12220: i586-mingw32msvc-g++ -c -g -O2 -o
> out/conftest2.o conftest.cc >&5
> configure:12224: $? = 0
> configure:12244: result: yes
> configure:12270: checking whether the i586-mingw32msvc-g++
> linker (/usr/i586-mingw32msvc/bin/ld)
> supports shared libraries
> configure:12295: result: yes
> configure:12366: checking dynamic linker characteristics
> configure:12906: result: Win32 ld.exe
> configure:12910: checking how to hardcode library paths into programs
> configure:12935: result: immediate
> configure:12949: checking whether stripping libraries is possible
> configure:12954: result: yes
> configure:14261: checking if libtool supports shared libraries
> configure:14263: result: yes
> configure:14266: checking whether to build shared libraries
> configure:14284: result: no
> configure:14287: checking whether to build static libraries
> configure:14291: result: yes
> configure:14303: checking for f77 option to produce PIC
> configure:14480: result: -DDLL_EXPORT
> configure:14488: checking if f77 PIC flag -DDLL_EXPORT works
> configure:14506: f77 -c -g -O2 -DDLL_EXPORT conftest.f >&5
> configure:14510: $? = 0
> configure:14521: result: yes
> configure:14545: checking if f77 supports -c -o file.o
> configure:14566: f77 -c -g -O2 -o out/conftest2.o conftest.f >&5
> configure:14570: $? = 0
> configure:14590: result: yes
> configure:14616: checking whether the f77 linker
> (/usr/i586-mingw32msvc/bin/ld) supports shared
> libraries
> configure:15444: result: yes
> configure:15515: checking dynamic linker characteristics
> configure:16055: result: Win32 ld.exe
> configure:16059: checking how to hardcode library paths into programs
> configure:16084: result: immediate
> configure:16098: checking whether stripping libraries is possible
> configure:16103: result: yes
> configure:20191: checking for sin in -lm
> configure:20221: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lm >&5
> configure:20227: $? = 0
> configure:20231: test -z
> || test ! -s conftest.err
> configure:20234: $? = 0
> configure:20237: test -s conftest
> configure:20240: $? = 0
> configure:20253: result: yes
> configure:20284:
>
> Checking to see if there is a usable BLAS library kicking around...
> (If so, Blitz++ will use BLAS library to run benchmarks against
> if you build the benchmarks. Blitz++ itself does NOT use BLAS).
>
>
> configure:20296: checking for daxpy_ in -lblas
> configure:20326: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lblas -lm >&5
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/bin/ld: cannot find -lblas
> collect2: ld returned 1 exit status
> configure:20332: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | /* end confdefs.h. */
> |
> | /* Override any gcc2 internal prototype to avoid an error. */
> | #ifdef __cplusplus
> | extern "C"
> | #endif
> | /* We use char because int might match the return type of a gcc2
> | builtin and then its argument prototype would still apply. */
> | char daxpy_ ();
> | int
> | main ()
> | {
> | daxpy_ ();
> | ;
> | return 0;
> | }
> configure:20358: result: no
> configure:20371: checking for daxpy in -lblas
> configure:20401: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lblas -lm >&5
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/bin/ld: cannot find -lblas
> collect2: ld returned 1 exit status
> configure:20407: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | /* end confdefs.h. */
> |
> | /* Override any gcc2 internal prototype to avoid an error. */
> | #ifdef __cplusplus
> | extern "C"
> | #endif
> | /* We use char because int might match the return type of a gcc2
> | builtin and then its argument prototype would still apply. */
> | char daxpy ();
> | int
> | main ()
> | {
> | daxpy ();
> | ;
> | return 0;
> | }
> configure:20433: result: no
> configure:20446: checking for DAXPY in -lblas
> configure:20476: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lblas -lm >&5
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/bin/ld: cannot find -lblas
> collect2: ld returned 1 exit status
> configure:20482: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | /* end confdefs.h. */
> |
> | /* Override any gcc2 internal prototype to avoid an error. */
> | #ifdef __cplusplus
> | extern "C"
> | #endif
> | /* We use char because int might match the return type of a gcc2
> | builtin and then its argument prototype would still apply. */
> | char DAXPY ();
> | int
> | main ()
> | {
> | DAXPY ();
> | ;
> | return 0;
> | }
> configure:20508: result: no
> configure:20521: checking for daxpy__ in -lblas
> configure:20551: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lblas -lm >&5
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/bin/ld: cannot find -lblas
> collect2: ld returned 1 exit status
> configure:20557: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | /* end confdefs.h. */
> |
> | /* Override any gcc2 internal prototype to avoid an error. */
> | #ifdef __cplusplus
> | extern "C"
> | #endif
> | /* We use char because int might match the return type of a gcc2
> | builtin and then its argument prototype would still apply. */
> | char daxpy__ ();
> | int
> | main ()
> | {
> | daxpy__ ();
> | ;
> | return 0;
> | }
> configure:20583: result: no
> configure:20604: checking whether to enable
> i586-mingw32msvc-g++ optimization flags
> configure:20615: result: no
> configure:20622: checking whether to enable
> i586-mingw32msvc-g++ debug flags
> configure:20633: result: no
> configure:20646:
>
> C++ compiler (i586-mingw32msvc-g++ -g -O2 ) characteristics
>
>
> configure:20693:
>
> Checking major C++ language features
>
>
> configure:20700: checking whether the compiler implements namespaces
> configure:20729: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:20735: $? = 0
> configure:20739: test -z
> || test ! -s conftest.err
> configure:20742: $? = 0
> configure:20745: test -s conftest.o
> configure:20748: $? = 0
> configure:20766: result: yes
> configure:20776: checking whether the compiler supports exceptions
> configure:20805: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:20811: $? = 0
> configure:20815: test -z
> || test ! -s conftest.err
> configure:20818: $? = 0
> configure:20821: test -s conftest.o
> configure:20824: $? = 0
> configure:20842: result: yes
> configure:20852: checking whether the compiler supports
> Run-Time Type Identification
> configure:20893: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:20899: $? = 0
> configure:20903: test -z
> || test ! -s conftest.err
> configure:20906: $? = 0
> configure:20909: test -s conftest.o
> configure:20912: $? = 0
> configure:20930: result: yes
> configure:20940: checking whether the compiler supports
> member constants
> configure:20969: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:20975: $? = 0
> configure:20979: test -z
> || test ! -s conftest.err
> configure:20982: $? = 0
> configure:20985: test -s conftest.o
> configure:20988: $? = 0
> configure:21006: result: yes
> configure:21016: checking whether the compiler accepts the
> old for scoping rules
> configure:21045: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc: In function `int main()':
> conftest.cc:38: error: name lookup of `i' changed for new ISO
> `for' scoping
> conftest.cc:38: error: using obsolete binding at `i'
> configure:21051: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | /* end confdefs.h. */
> |
> | int
> | main ()
> | {
> | int z;for (int i=0; i < 10; ++i)z=z+i;z=i;return z;
> | ;
> | return 0;
> | }
> configure:21082: result: no
> configure:21097:
>
> Now for some of the new keywords
>
>
> configure:21104: checking whether the compiler supports the
> explicit keyword
> configure:21133: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21139: $? = 0
> configure:21143: test -z
> || test ! -s conftest.err
> configure:21146: $? = 0
> configure:21149: test -s conftest.o
> configure:21152: $? = 0
> configure:21170: result: yes
> configure:21180: checking whether the compiler supports the
> mutable keyword
> configure:21214: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21220: $? = 0
> configure:21224: test -z
> || test ! -s conftest.err
> configure:21227: $? = 0
> configure:21230: test -s conftest.o
> configure:21233: $? = 0
> configure:21251: result: yes
> configure:21261: checking whether the compiler recognizes typename
> configure:21290: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21296: $? = 0
> configure:21300: test -z
> || test ! -s conftest.err
> configure:21303: $? = 0
> configure:21306: test -s conftest.o
> configure:21309: $? = 0
> configure:21327: result: yes
> configure:21337: checking whether the compiler supports the
> Numerical C Extensions Group restrict
> keyword
> configure:21373: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc:38: error: expected `,' or `...' before "a"
> conftest.cc: In function `void add(int, double*)':
> conftest.cc:40: error: `a' undeclared (first use this function)
> conftest.cc:40: error: (Each undeclared identifier is
> reported only once for each function it
> appears in.)
> conftest.cc:40: error: `b' undeclared (first use this function)
> conftest.cc:40: error: `c' undeclared (first use this function)
> conftest.cc: In function `int main()':
> conftest.cc:40: error: too many arguments to function `void
> add(int, double*)'
> conftest.cc:47: error: at this point in file
> configure:21379: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | /* end confdefs.h. */
> |
> | void add(int length, double * restrict a,
> | const double * restrict b, const double * restrict c)
> | { for (int i=0; i < length; ++i) a[i] = b[i] + c[i]; }
> |
> | int
> | main ()
> | {
> | double a[10], b[10], c[10];
> | for (int i=0; i < 10; ++i) { a[i] = 0.0; b[i] = 0.0; c[i] = 0.0; }
> | add(10,a,b,c);
> | return 0;
> | ;
> | return 0;
> | }
> configure:21410: result: no
> configure:21420: checking whether the compiler recognizes the
> '__restrict__' keyword
> configure:21456: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21462: $? = 0
> configure:21466: test -z
> || test ! -s conftest.err
> configure:21469: $? = 0
> configure:21472: test -s conftest.o
> configure:21475: $? = 0
> configure:21493: result: yes
> configure:21503: checking whether the compiler recognizes
> bool as a built-in type
> configure:21536: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21542: $? = 0
> configure:21546: test -z
> || test ! -s conftest.err
> configure:21549: $? = 0
> configure:21552: test -s conftest.o
> configure:21555: $? = 0
> configure:21573: result: yes
> configure:21589:
>
> Does your compiler understand the newfangled casting syntax?
>
>
> configure:21596: checking whether the compiler supports const_cast<>
> configure:21625: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21631: $? = 0
> configure:21635: test -z
> || test ! -s conftest.err
> configure:21638: $? = 0
> configure:21641: test -s conftest.o
> configure:21644: $? = 0
> configure:21662: result: yes
> configure:21672: checking whether the compiler supports static_cast<>
> configure:21705: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21711: $? = 0
> configure:21715: test -z
> || test ! -s conftest.err
> configure:21718: $? = 0
> configure:21721: test -s conftest.o
> configure:21724: $? = 0
> configure:21742: result: yes
> configure:21752: checking whether the compiler supports
> reinterpret_cast<>
> configure:21786: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21792: $? = 0
> configure:21796: test -z
> || test ! -s conftest.err
> configure:21799: $? = 0
> configure:21802: test -s conftest.o
> configure:21805: $? = 0
> configure:21823: result: yes
> configure:21833: checking whether the compiler supports dynamic_cast<>
> configure:21865: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21871: $? = 0
> configure:21875: test -z
> || test ! -s conftest.err
> configure:21878: $? = 0
> configure:21881: test -s conftest.o
> configure:21884: $? = 0
> configure:21902: result: yes
> configure:21919:
>
> Okay, now the important stuff -- templates
>
>
> configure:21926: checking whether the compiler supports basic
> templates
> configure:21957: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:21963: $? = 0
> configure:21967: test -z
> || test ! -s conftest.err
> configure:21970: $? = 0
> configure:21973: test -s conftest.o
> configure:21976: $? = 0
> configure:21994: result: yes
> configure:22004: checking whether the compiler supports
> partial specialization
> configure:22037: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22043: $? = 0
> configure:22047: test -z
> || test ! -s conftest.err
> configure:22050: $? = 0
> configure:22053: test -s conftest.o
> configure:22056: $? = 0
> configure:22074: result: yes
> configure:22084: checking whether the compiler supports
> partial ordering
> configure:22119: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22125: $? = 0
> configure:22129: test -z
> || test ! -s conftest.err
> configure:22132: $? = 0
> configure:22135: test -s conftest.o
> configure:22138: $? = 0
> configure:22156: result: yes
> configure:22166: checking whether the compiler supports
> default template parameters
> configure:22197: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22203: $? = 0
> configure:22207: test -z
> || test ! -s conftest.err
> configure:22210: $? = 0
> configure:22213: test -s conftest.o
> configure:22216: $? = 0
> configure:22234: result: yes
> configure:22244: checking whether the compiler supports
> member templates
> configure:22277: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22283: $? = 0
> configure:22287: test -z
> || test ! -s conftest.err
> configure:22290: $? = 0
> configure:22293: test -s conftest.o
> configure:22296: $? = 0
> configure:22314: result: yes
> configure:22324: checking whether the compiler supports
> member templates outside the class
> declaration
> configure:22360: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22366: $? = 0
> configure:22370: test -z
> || test ! -s conftest.err
> configure:22373: $? = 0
> configure:22376: test -s conftest.o
> configure:22379: $? = 0
> configure:22397: result: yes
> configure:22407: checking whether the compiler recognizes the
> full specialization syntax
> configure:22439: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22445: $? = 0
> configure:22449: test -z
> || test ! -s conftest.err
> configure:22452: $? = 0
> configure:22455: test -s conftest.o
> configure:22458: $? = 0
> configure:22476: result: yes
> configure:22486: checking whether the compiler supports
> function templates with non-type
> parameters
> configure:22518: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22524: $? = 0
> configure:22528: test -z
> || test ! -s conftest.err
> configure:22531: $? = 0
> configure:22534: test -s conftest.o
> configure:22537: $? = 0
> configure:22555: result: yes
> configure:22565: checking whether the compiler supports
> template-qualified base class specifiers
> configure:22607: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc:58: error: an explicit specialization must be
> preceded by 'template <>'
> conftest.cc: In member function `int Weird<T>::g() const':
> conftest.cc:62: error: there are no arguments to `f' that
> depend on a template parameter, so a
> declaration of `f' must be available
> conftest.cc:62: error: (if you use `-fpermissive', G++ will
> accept your code, but allowing the use
> of an undeclared name is deprecated)
> configure:22613: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | #define HAVE_NCEG_RESTRICT_EGCS
> | #define HAVE_BOOL
> | #define HAVE_CONST_CAST
> | #define HAVE_STATIC_CAST
> | #define HAVE_REINTERPRET_CAST
> | #define HAVE_DYNAMIC_CAST
> | #define HAVE_TEMPLATES
> | #define HAVE_PARTIAL_SPECIALIZATION
> | #define HAVE_PARTIAL_ORDERING
> | #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> | #define HAVE_MEMBER_TEMPLATES
> | #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> | #define HAVE_FULL_SPECIALIZATION_SYNTAX
> | #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> | /* end confdefs.h. */
> |
> | #ifndef HAVE_TYPENAME
> | #define typename
> | #endif
> | class Base1 { public : int f () const { return 1; } };
> | class Base2 { public : int f () const { return 0; } };
> | template<class X> struct base_trait { typedef Base1 base; };
> | struct base_trait<float> { typedef Base2 base; };
> | template<class T> class Weird : public base_trait<T>::base
> | { public :
> | typedef typename base_trait<T>::base base;
> | int g () const { return f (); }
> | };
> | int
> | main ()
> | {
> | Weird<float> z; return z.g ();
> | ;
> | return 0;
> | }
> configure:22644: result: no
> configure:22654: checking whether the compiler supports
> template-qualified return types
> configure:22694: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22700: $? = 0
> configure:22704: test -z
> || test ! -s conftest.err
> configure:22707: $? = 0
> configure:22710: test -s conftest.o
> configure:22713: $? = 0
> configure:22731: result: yes
> configure:22741: checking whether the compiler supports
> explicit template function qualification
> configure:22773: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22779: $? = 0
> configure:22783: test -z
> || test ! -s conftest.err
> configure:22786: $? = 0
> configure:22789: test -s conftest.o
> configure:22792: $? = 0
> configure:22810: result: yes
> configure:22820: checking whether the compiler supports
> templates as template arguments
> configure:22853: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22859: $? = 0
> configure:22863: test -z
> || test ! -s conftest.err
> configure:22866: $? = 0
> configure:22869: test -s conftest.o
> configure:22872: $? = 0
> configure:22890: result: yes
> configure:22900: checking whether the compiler supports use
> of the template keyword as a qualifier
> configure:22941: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:22947: $? = 0
> configure:22951: test -z
> || test ! -s conftest.err
> configure:22954: $? = 0
> configure:22957: test -s conftest.o
> configure:22960: $? = 0
> configure:22978: result: yes
> configure:22988: checking whether the compiler supports
> function matching with argument types
> which are template scope-qualified
> configure:23025: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23031: $? = 0
> configure:23035: test -z
> || test ! -s conftest.err
> configure:23038: $? = 0
> configure:23041: test -s conftest.o
> configure:23044: $? = 0
> configure:23062: result: yes
> configure:23072: checking whether the compiler will support
> the vector type promotion mechanism
> configure:23115: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23121: $? = 0
> configure:23125: test -z
> || test ! -s conftest.err
> configure:23128: $? = 0
> configure:23131: test -s conftest.o
> configure:23134: $? = 0
> configure:23152: result: yes
> configure:23162: checking whether the compiler supports
> numeric traits promotions
> configure:23201: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23207: $? = 0
> configure:23211: test -z
> || test ! -s conftest.err
> configure:23214: $? = 0
> configure:23217: test -s conftest.o
> configure:23220: $? = 0
> configure:23238: result: yes
> configure:23248: checking whether the compiler handle
> computations inside an enum
> configure:23288: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc: In instantiation of `Z<A, B>':
> conftest.cc:71: instantiated from here
> conftest.cc:62: warning: comparison between `enum
> A::<anonymous>' and `enum B::<anonymous>'
> conftest.cc:62: warning: enumeral mismatch in conditional
> expression: `A::<anonymous enum>' vs
> `B::<anonymous enum>'
> configure:23294: $? = 0
> configure:23298: test -z
> || test ! -s conftest.err
> configure:23301: $? = 0
> configure:23304: test -s conftest.o
> configure:23307: $? = 0
> configure:23325: result: yes
> configure:23335: checking whether the compiler handles (int)
> casts in enum computations
> configure:23375: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23381: $? = 0
> configure:23385: test -z
> || test ! -s conftest.err
> configure:23388: $? = 0
> configure:23391: test -s conftest.o
> configure:23394: $? = 0
> configure:23412: result: yes
> configure:23429:
>
> Which library features does your compiler provide?
>
>
> configure:23436: checking whether the compiler has complex<T>
> configure:23469: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23475: $? = 0
> configure:23479: test -z
> || test ! -s conftest.err
> configure:23482: $? = 0
> configure:23485: test -s conftest.o
> configure:23488: $? = 0
> configure:23506: result: yes
> configure:23516: checking whether the compiler has standard
> complex<T> functions
> configure:23551: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23557: $? = 0
> configure:23561: test -z
> || test ! -s conftest.err
> configure:23564: $? = 0
> configure:23567: test -s conftest.o
> configure:23570: $? = 0
> configure:23588: result: yes
> configure:23598: checking whether the compiler has numeric_limits<T>
> configure:23631: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23637: $? = 0
> configure:23641: test -z
> || test ! -s conftest.err
> configure:23644: $? = 0
> configure:23647: test -s conftest.o
> configure:23650: $? = 0
> configure:23668: result: yes
> configure:23678: checking whether the compiler has <climits> header
> configure:23707: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23713: $? = 0
> configure:23717: test -z
> || test ! -s conftest.err
> configure:23720: $? = 0
> configure:23723: test -s conftest.o
> configure:23726: $? = 0
> configure:23744: result: yes
> configure:23754: checking whether the compiler has valarray<T>
> configure:23787: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:23793: $? = 0
> configure:23797: test -z
> || test ! -s conftest.err
> configure:23800: $? = 0
> configure:23803: test -s conftest.o
> configure:23806: $? = 0
> configure:23824: result: yes
> configure:23834: checking whether the compiler has complex
> math functions
> configure:23872: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lm -lm >&5
> configure:23878: $? = 0
> configure:23882: test -z
> || test ! -s conftest.err
> configure:23885: $? = 0
> configure:23888: test -s conftest
> configure:23891: $? = 0
> configure:23911: result: yes
> configure:23921: checking whether the compiler has more
> complex math functions
> configure:23958: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lm -lm >&5
> conftest.cc: In function `int main()':
> conftest.cc:74: error: no matching function for call to
> `acos(std::complex<double>&)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:144: note:
> candidates are: double acos(double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:107:
> note: long double
> std::acos(long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:103:
> note: float
> std::acos(float)
> conftest.cc:74: error: no matching function for call to
> `asin(std::complex<double>&)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:143: note:
> candidates are: double asin(double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:124:
> note: long double
> std::asin(long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:120:
> note: float
> std::asin(float)
> conftest.cc:74: error: no matching function for call to
> `atan(std::complex<double>&)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:145: note:
> candidates are: double atan(double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:139:
> note: long double
> std::atan(long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:135:
> note: float
> std::atan(float)
> conftest.cc:74: error: no matching function for call to
> `atan2(std::complex<double>&,
> std::complex<double>&)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:146: note:
> candidates are: double atan2(double, double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:154:
> note: long double
> std::atan2(long double, long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:150:
> note: float
> std::atan2(float, float)
> conftest.cc:74: error: no matching function for call to
> `atan2(std::complex<double>&, double)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:146: note:
> candidates are: double atan2(double, double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:154:
> note: long double
> std::atan2(long double, long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:150:
> note: float
> std::atan2(float, float)
> conftest.cc:75: error: no matching function for call to
> `atan2(double, std::complex<double>&)'
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/../../../../i586-mingw32ms
vc/include/math.h:146: note:
> candidates are: double atan2(double, double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:154:
> note: long double
> std::atan2(long double, long double)
> /usr/lib/gcc/i586-mingw32msvc/3.4.2/include/c++/cmath:150:
> note: float
> std::atan2(float, float)
> configure:23964: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | #define HAVE_NCEG_RESTRICT_EGCS
> | #define HAVE_BOOL
> | #define HAVE_CONST_CAST
> | #define HAVE_STATIC_CAST
> | #define HAVE_REINTERPRET_CAST
> | #define HAVE_DYNAMIC_CAST
> | #define HAVE_TEMPLATES
> | #define HAVE_PARTIAL_SPECIALIZATION
> | #define HAVE_PARTIAL_ORDERING
> | #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> | #define HAVE_MEMBER_TEMPLATES
> | #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> | #define HAVE_FULL_SPECIALIZATION_SYNTAX
> | #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> | #define HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE
> | #define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION
> | #define HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS
> | #define HAVE_TEMPLATE_KEYWORD_QUALIFIER
> | #define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING
> | #define HAVE_TYPE_PROMOTION
> | #define HAVE_USE_NUMTRAIT
> | #define HAVE_ENUM_COMPUTATIONS
> | #define HAVE_ENUM_COMPUTATIONS_WITH_CAST
> | #define HAVE_COMPLEX
> | #define HAVE_COMPLEX_FCNS
> | #define HAVE_NUMERIC_LIMITS
> | #define HAVE_CLIMITS
> | #define HAVE_VALARRAY
> | #define HAVE_COMPLEX_MATH1
> | /* end confdefs.h. */
> | #include <complex>
> | #ifdef HAVE_NAMESPACES
> | using namespace std;
> | #endif
> | int
> | main ()
> | {
> | complex<double> x(1.0, 1.0), y(1.0, 1.0);
> | acos(x); asin(x); atan(x); atan2(x,y); atan2(x, double(3.0));
> | atan2(double(3.0), x); log10(x); return 0;
> | ;
> | return 0;
> | }
> configure:23997: result: no
> configure:24007: checking whether the compiler supports IEEE
> math library
> configure:24060: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lm -lm >&5
> conftest.cc: In function `int main()':
> conftest.cc:81: error: `expm1' undeclared (first use this function)
> conftest.cc:81: error: (Each undeclared identifier is
> reported only once for each function it
> appears in.)
> conftest.cc:88: error: `gamma' undeclared (first use this function)
> conftest.cc:91: warning: passing `double' for converting 2 of
> `double scalb(double, long int)'
> configure:24066: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | #define HAVE_NCEG_RESTRICT_EGCS
> | #define HAVE_BOOL
> | #define HAVE_CONST_CAST
> | #define HAVE_STATIC_CAST
> | #define HAVE_REINTERPRET_CAST
> | #define HAVE_DYNAMIC_CAST
> | #define HAVE_TEMPLATES
> | #define HAVE_PARTIAL_SPECIALIZATION
> | #define HAVE_PARTIAL_ORDERING
> | #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> | #define HAVE_MEMBER_TEMPLATES
> | #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> | #define HAVE_FULL_SPECIALIZATION_SYNTAX
> | #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> | #define HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE
> | #define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION
> | #define HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS
> | #define HAVE_TEMPLATE_KEYWORD_QUALIFIER
> | #define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING
> | #define HAVE_TYPE_PROMOTION
> | #define HAVE_USE_NUMTRAIT
> | #define HAVE_ENUM_COMPUTATIONS
> | #define HAVE_ENUM_COMPUTATIONS_WITH_CAST
> | #define HAVE_COMPLEX
> | #define HAVE_COMPLEX_FCNS
> | #define HAVE_NUMERIC_LIMITS
> | #define HAVE_CLIMITS
> | #define HAVE_VALARRAY
> | #define HAVE_COMPLEX_MATH1
> | /* end confdefs.h. */
> |
> | #ifndef _ALL_SOURCE
> | #define _ALL_SOURCE
> | #endif
> | #ifndef _XOPEN_SOURCE
> | #define _XOPEN_SOURCE
> | #endif
> | #ifndef _XOPEN_SOURCE_EXTENDED
> | #define _XOPEN_SOURCE_EXTENDED 1
> | #endif
> | #include <math.h>
> | int
> | main ()
> | {
> | double x = 1.0; double y = 1.0; int i = 1;
> | acosh(x); asinh(x); atanh(x); cbrt(x); expm1(x); erf(x);
> erfc(x); isnan(x);
> | j0(x); j1(x); jn(i,x); ilogb(x); logb(x); log1p(x); rint(x);
> | y0(x); y1(x); yn(i,x);
> | #ifdef _THREAD_SAFE
> | gamma_r(x,&i);
> | lgamma_r(x,&i);
> | #else
> | gamma(x);
> | lgamma(x);
> | #endif
> | hypot(x,y); nextafter(x,y); remainder(x,y); scalb(x,y);
> | return 0;
> | ;
> | return 0;
> | }
> configure:24099: result: no
> configure:24109: checking whether the compiler supports
> System V math library
> configure:24153: i586-mingw32msvc-g++ -o conftest -g -O2
> conftest.cc -lm -lm >&5
> conftest.cc: In function `int main()':
> conftest.cc:81: error: `_class' undeclared (first use this function)
> conftest.cc:81: error: (Each undeclared identifier is
> reported only once for each function it
> appears in.)
> conftest.cc:81: error: `itrunc' undeclared (first use this function)
> conftest.cc:81: error: `nearest' undeclared (first use this function)
> conftest.cc:81: error: `rsqrt' undeclared (first use this function)
> conftest.cc:81: error: `uitrunc' undeclared (first use this function)
> conftest.cc:82: error: `drem' undeclared (first use this function)
> conftest.cc:82: error: `unordered' undeclared (first use this
> function)
> configure:24159: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | #define HAVE_NCEG_RESTRICT_EGCS
> | #define HAVE_BOOL
> | #define HAVE_CONST_CAST
> | #define HAVE_STATIC_CAST
> | #define HAVE_REINTERPRET_CAST
> | #define HAVE_DYNAMIC_CAST
> | #define HAVE_TEMPLATES
> | #define HAVE_PARTIAL_SPECIALIZATION
> | #define HAVE_PARTIAL_ORDERING
> | #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> | #define HAVE_MEMBER_TEMPLATES
> | #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> | #define HAVE_FULL_SPECIALIZATION_SYNTAX
> | #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> | #define HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE
> | #define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION
> | #define HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS
> | #define HAVE_TEMPLATE_KEYWORD_QUALIFIER
> | #define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING
> | #define HAVE_TYPE_PROMOTION
> | #define HAVE_USE_NUMTRAIT
> | #define HAVE_ENUM_COMPUTATIONS
> | #define HAVE_ENUM_COMPUTATIONS_WITH_CAST
> | #define HAVE_COMPLEX
> | #define HAVE_COMPLEX_FCNS
> | #define HAVE_NUMERIC_LIMITS
> | #define HAVE_CLIMITS
> | #define HAVE_VALARRAY
> | #define HAVE_COMPLEX_MATH1
> | /* end confdefs.h. */
> |
> | #ifndef _ALL_SOURCE
> | #define _ALL_SOURCE
> | #endif
> | #ifndef _XOPEN_SOURCE
> | #define _XOPEN_SOURCE
> | #endif
> | #ifndef _XOPEN_SOURCE_EXTENDED
> | #define _XOPEN_SOURCE_EXTENDED 1
> | #endif
> | #include <math.h>
> | int
> | main ()
> | {
> | double x = 1.0; double y = 1.0;
> | _class(x); trunc(x); finite(x); itrunc(x); nearest(x);
> rsqrt(x); uitrunc(x);
> | copysign(x,y); drem(x,y); unordered(x,y);
> | return 0;
> | ;
> | return 0;
> | }
> configure:24192: result: no
> configure:24202: checking whether the compiler has C math
> functions in namespace std
> configure:24233: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:24239: $? = 0
> configure:24243: test -z
> || test ! -s conftest.err
> configure:24246: $? = 0
> configure:24249: test -s conftest.o
> configure:24252: $? = 0
> configure:24270: result: yes
> configure:24280: checking whether complex math functions are
> in namespace std
> configure:24315: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:24321: $? = 0
> configure:24325: test -z
> || test ! -s conftest.err
> configure:24328: $? = 0
> configure:24331: test -s conftest.o
> configure:24334: $? = 0
> configure:24352: result: yes
> configure:24362: checking whether the compiler supports ISO
> C++ standard library
> configure:24398: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:24404: $? = 0
> configure:24408: test -z
> || test ! -s conftest.err
> configure:24411: $? = 0
> configure:24414: test -s conftest.o
> configure:24417: $? = 0
> configure:24435: result: yes
> configure:24445: checking whether the compiler supports
> Standard Template Library
> configure:24480: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> configure:24486: $? = 0
> configure:24490: test -z
> || test ! -s conftest.err
> configure:24493: $? = 0
> configure:24496: test -s conftest.o
> configure:24499: $? = 0
> configure:24517: result: yes
> configure:24527: checking whether the compiler has
> getrusage() function
> configure:24557: i586-mingw32msvc-g++ -c -g -O2 conftest.cc >&5
> conftest.cc:70:26: sys/resource.h: No such file or directory
> conftest.cc: In function `int main()':
> conftest.cc:75: error: aggregate `rusage resUsage' has
> incomplete type and cannot be defined
> conftest.cc:75: error: `RUSAGE_SELF' undeclared (first use
> this function)
> conftest.cc:75: error: (Each undeclared identifier is
> reported only once for each function it
> appears in.)
> conftest.cc:75: error: `getrusage' undeclared (first use this
> function)
> configure:24563: $? = 1
> configure: failed program was:
> | /* confdefs.h. */
> |
> | #define PACKAGE_NAME "blitz"
> | #define PACKAGE_TARNAME "blitz"
> | #define PACKAGE_VERSION "0.8"
> | #define PACKAGE_STRING "blitz 0.8"
> | #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> | #define PACKAGE "blitz"
> | #define VERSION "0.8"
> | #ifdef __cplusplus
> | extern "C" void std::exit (int) throw (); using std::exit;
> | #endif
> | #define STDC_HEADERS 1
> | #define HAVE_SYS_TYPES_H 1
> | #define HAVE_SYS_STAT_H 1
> | #define HAVE_STDLIB_H 1
> | #define HAVE_STRING_H 1
> | #define HAVE_MEMORY_H 1
> | #define HAVE_STRINGS_H 1
> | #define HAVE_INTTYPES_H 1
> | #define HAVE_STDINT_H 1
> | #define HAVE_UNISTD_H 1
> | #define HAVE_LIBM 1
> | #define _compiler_name "i586-mingw32msvc-g++"
> | #define _compiler_options "-g -O2"
> | #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> | #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> | #define _platform "i586-pc-mingw32msvc"
> | #define HAVE_NAMESPACES
> | #define HAVE_EXCEPTIONS
> | #define HAVE_RTTI
> | #define HAVE_MEMBER_CONSTANTS
> | #define HAVE_EXPLICIT
> | #define HAVE_MUTABLE
> | #define HAVE_TYPENAME
> | #define HAVE_NCEG_RESTRICT_EGCS
> | #define HAVE_BOOL
> | #define HAVE_CONST_CAST
> | #define HAVE_STATIC_CAST
> | #define HAVE_REINTERPRET_CAST
> | #define HAVE_DYNAMIC_CAST
> | #define HAVE_TEMPLATES
> | #define HAVE_PARTIAL_SPECIALIZATION
> | #define HAVE_PARTIAL_ORDERING
> | #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> | #define HAVE_MEMBER_TEMPLATES
> | #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> | #define HAVE_FULL_SPECIALIZATION_SYNTAX
> | #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> | #define HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE
> | #define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION
> | #define HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS
> | #define HAVE_TEMPLATE_KEYWORD_QUALIFIER
> | #define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING
> | #define HAVE_TYPE_PROMOTION
> | #define HAVE_USE_NUMTRAIT
> | #define HAVE_ENUM_COMPUTATIONS
> | #define HAVE_ENUM_COMPUTATIONS_WITH_CAST
> | #define HAVE_COMPLEX
> | #define HAVE_COMPLEX_FCNS
> | #define HAVE_NUMERIC_LIMITS
> | #define HAVE_CLIMITS
> | #define HAVE_VALARRAY
> | #define HAVE_COMPLEX_MATH1
> | #define MATH_FN_IN_NAMESPACE_STD
> | #define HAVE_COMPLEX_MATH_IN_NAMESPACE_STD
> | #define HAVE_STD
> | #define HAVE_STL
> | /* end confdefs.h. */
> | #include <sys/resource.h>
> | int
> | main ()
> | {
> |
> | struct rusage resUsage; getrusage(RUSAGE_SELF, &resUsage); return 0;
> | ;
> | return 0;
> | }
> configure:24594: result: no
> configure:24634:
>
> CXX = i586-mingw32msvc-g++
> CXXFLAGS = -g -O2
> CXX_OPTIMIZE_FLAGS =
> CXX_DEBUG_FLAGS =
> CXXFFLAGS =
>
> F77 = f77
> FFLAGS = -g -O2
> F77_OPTIMIZE_FLAGS =
>
> FC =
> FCFLAGS =
> FC_OPTIMIZE_FLAGS =
>
> FORTLIBS =
> BLASLIB =
>
>
> configure:24674: checking our pkgconfig libname
> configure:24682: result: blitz
> configure:24685: checking our pkgconfig version
> configure:24693: result: 0.8
> configure:24696: checking our pkgconfig_libdir
> configure:24703: result: ${libdir}/pkgconfig
> configure:24706: result: expanded our pkgconfig_libdir...
> /usr/local/lib/pkgconfig
> configure:24710: checking our pkgconfig_libfile
> configure:24716: result: blitz.pc
> configure:24723: checking our pkgconfig description
> configure:24730: result: blitz Library
> configure:24733: checking our pkgconfig requires
> configure:24738: result:
> configure:24741: checking our pkgconfig ext libs
> configure:24748: result: -lblitz -lm
> configure:24751: checking our pkgconfig cppflags
> configure:24756: result:
> configure:24783: result: noninstalled pkgconfig -L
> /home/hmlf/blitz-0.8/src/.libs
> configure:24805: result: noninstalled pkgconfig -I
> /home/hmlf/blitz-0.8/.
> configure:24949: creating ./config.status
>
> ## ---------------------- ##
> ## Running config.status. ##
> ## ---------------------- ##
>
> This file was extended by blitz config.status 0.8, which was
> generated by GNU Autoconf 2.59. Invocation command line was
>
> CONFIG_FILES =
> CONFIG_HEADERS =
> CONFIG_LINKS =
> CONFIG_COMMANDS =
> $ ./config.status
>
> on wurundjeri
>
> config.status:800: creating Makefile
> config.status:800: creating bin/Makefile
> config.status:800: creating blitz/Makefile
> config.status:800: creating blitz/array/Makefile
> config.status:800: creating blitz/generate/Makefile
> config.status:800: creating blitz/meta/Makefile
> config.status:800: creating random/Makefile
> config.status:800: creating lib/Makefile
> config.status:800: creating testsuite/Makefile
> config.status:800: creating examples/Makefile
> config.status:800: creating benchmarks/Makefile
> config.status:800: creating benchmarks/plot_benchmarks.m
> config.status:800: creating doc/Makefile
> config.status:800: creating doc/examples/Makefile
> config.status:800: creating doc/stencils/Makefile
> config.status:800: creating doc/doxygen/Makefile
> config.status:800: creating doc/doxygen/Doxyfile
> config.status:904: creating blitz/config.h
> config.status:1300: executing depfiles commands
> config.status:1300: executing blitz.pc commands
> config.status:2463: creating blitz.pc.in
> config.status:2480: creating blitz.pc
> config.status:2499: creating blitz-uninstalled.pc
> configure:27498:
>
> The configure script has generated makefiles for your platform.
> You have several options now:
>
> make lib Check the compiler and create libblitz.a
> make check-testsuite Build and check the testsuite
> make check-examples Build and check the examples
> make check-benchmarks Build and check the benchmarks (takes
> a long time)
> make install Install Blitz++
>
>
>
> ## ---------------- ##
> ## Cache variables. ##
> ## ---------------- ##
>
> ac_cv_build=i686-pc-linux-gnu
> ac_cv_build_alias=i686-pc-linux-gnu
> ac_cv_c_compiler_gnu=yes
> ac_cv_cxx_bool=yes
> ac_cv_cxx_compiler_gnu=yes
> ac_cv_cxx_complex_math_in_namespace_std=yes
> ac_cv_cxx_const_cast=yes
> ac_cv_cxx_default_template_parameters=yes
> ac_cv_cxx_dynamic_cast=yes
> ac_cv_cxx_enum_computations=yes
> ac_cv_cxx_enum_computations_with_cast=yes
> ac_cv_cxx_exceptions=yes
> ac_cv_cxx_explicit=yes
> ac_cv_cxx_explicit_template_function_qualification=yes
> ac_cv_cxx_full_specialization_syntax=yes
> ac_cv_cxx_function_nontype_parameters=yes
> ac_cv_cxx_have_climits=yes
> ac_cv_cxx_have_complex=yes
> ac_cv_cxx_have_complex_fcns=yes
> ac_cv_cxx_have_complex_math1=yes
> ac_cv_cxx_have_complex_math2=no
> ac_cv_cxx_have_ieee_math=no
> ac_cv_cxx_have_numeric_limits=yes
> ac_cv_cxx_have_rusage=no
> ac_cv_cxx_have_std=yes
> ac_cv_cxx_have_stl=yes
> ac_cv_cxx_have_system_v_math=no
> ac_cv_cxx_have_valarray=yes
> ac_cv_cxx_mathfn_std=yes
> ac_cv_cxx_member_constants=yes
> ac_cv_cxx_member_templates=yes
> ac_cv_cxx_member_templates_outside_class=yes
> ac_cv_cxx_mutable=yes
> ac_cv_cxx_namespaces=yes
> ac_cv_cxx_nceg_restrict=no
> ac_cv_cxx_nceg_restrict_egcs=yes
> ac_cv_cxx_old_for_scoping=no
> ac_cv_cxx_partial_ordering=yes
> ac_cv_cxx_partial_specialization=yes
> ac_cv_cxx_reinterpret_cast=yes
> ac_cv_cxx_rtti=yes
> ac_cv_cxx_static_cast=yes
> ac_cv_cxx_template_keyword_qualifier=yes
> ac_cv_cxx_template_qualified_base_class=no
> ac_cv_cxx_template_qualified_return_type=yes
> ac_cv_cxx_template_scoped_argument_matching=yes
> ac_cv_cxx_templates=yes
> ac_cv_cxx_templates_as_template_arguments=yes
> ac_cv_cxx_type_promotion=yes
> ac_cv_cxx_typename=yes
> ac_cv_cxx_use_numtrait=yes
> ac_cv_env_CC_set=
> ac_cv_env_CC_value=
> ac_cv_env_CFLAGS_set=
> ac_cv_env_CFLAGS_value=
> ac_cv_env_COMPILER_SPECIFIC_HEADER_set=
> ac_cv_env_COMPILER_SPECIFIC_HEADER_value=
> ac_cv_env_CPPFLAGS_set=
> ac_cv_env_CPPFLAGS_value=
> ac_cv_env_CPP_set=
> ac_cv_env_CPP_value=
> ac_cv_env_CXXCPP_set=
> ac_cv_env_CXXCPP_value=
> ac_cv_env_CXXFCFLAG_set=
> ac_cv_env_CXXFCFLAG_value=
> ac_cv_env_CXXFFLAGS_set=
> ac_cv_env_CXXFFLAGS_value=
> ac_cv_env_CXXFLAGS_set=
> ac_cv_env_CXXFLAGS_value=
> ac_cv_env_CXX_DEBUG_FLAGS_set=
> ac_cv_env_CXX_DEBUG_FLAGS_value=
> ac_cv_env_CXX_OPTIMIZE_FLAGS_set=
> ac_cv_env_CXX_OPTIMIZE_FLAGS_value=
> ac_cv_env_CXX_set=
> ac_cv_env_CXX_value=
> ac_cv_env_F77_OPTIMIZE_FLAGS_set=
> ac_cv_env_F77_OPTIMIZE_FLAGS_value=
> ac_cv_env_F77_set=
> ac_cv_env_F77_value=
> ac_cv_env_FCFLAGS_set=
> ac_cv_env_FCFLAGS_value=
> ac_cv_env_FC_OPTIMIZE_FLAGS_set=
> ac_cv_env_FC_OPTIMIZE_FLAGS_value=
> ac_cv_env_FC_set=
> ac_cv_env_FC_value=
> ac_cv_env_FFLAGS_set=
> ac_cv_env_FFLAGS_value=
> ac_cv_env_FORTLIBS_set=
> ac_cv_env_FORTLIBS_value=
> ac_cv_env_LDFLAGS_set=
> ac_cv_env_LDFLAGS_value=
> ac_cv_env_build_alias_set=set
> ac_cv_env_build_alias_value=i686-pc-linux-gnu
> ac_cv_env_host_alias_set=set
> ac_cv_env_host_alias_value=i586-mingw32msvc
> ac_cv_env_target_alias_set=set
> ac_cv_env_target_alias_value=i586-mingw32msvc
> ac_cv_exeext=
> ac_cv_f77_compiler_gnu=yes
> ac_cv_fc_compiler_gnu=no
> ac_cv_header_dlfcn_h=no
> ac_cv_header_inttypes_h=yes
> ac_cv_header_memory_h=yes
> ac_cv_header_stdc=yes
> ac_cv_header_stdint_h=yes
> ac_cv_header_stdlib_h=yes
> ac_cv_header_string_h=yes
> ac_cv_header_strings_h=yes
> ac_cv_header_sys_stat_h=yes
> ac_cv_header_sys_types_h=yes
> ac_cv_header_unistd_h=yes
> ac_cv_host=i586-pc-mingw32msvc
> ac_cv_host_alias=i586-mingw32msvc
> ac_cv_lib_blas_DAXPY=no
> ac_cv_lib_blas_daxpy=no
> ac_cv_lib_blas_daxpy_=no
> ac_cv_lib_blas_daxpy__=no
> ac_cv_lib_m_sin=yes
> ac_cv_objext=o
> ac_cv_path_install='/usr/bin/install -c'
> ac_cv_prog_AR=i586-mingw32msvc-ar
> ac_cv_prog_AWK=gawk
> ac_cv_prog_CC=i586-mingw32msvc-gcc
> ac_cv_prog_CPP='i586-mingw32msvc-gcc -E'
> ac_cv_prog_CXX=i586-mingw32msvc-g++
> ac_cv_prog_CXXCPP='i586-mingw32msvc-g++ -E'
> ac_cv_prog_DOT=dot
> ac_cv_prog_DOXYGEN=doxygen
> ac_cv_prog_RANLIB=i586-mingw32msvc-ranlib
> ac_cv_prog_STRIP=i586-mingw32msvc-strip
> ac_cv_prog_ac_ct_F77=f77
> ac_cv_prog_cc_g=yes
> ac_cv_prog_cc_stdc=
> ac_cv_prog_cxx_g=yes
> ac_cv_prog_egrep='grep -E'
> ac_cv_prog_f77_g=yes
> ac_cv_prog_fc_g=no
> ac_cv_prog_make_make_set=yes
> ac_cv_target=i586-pc-mingw32msvc
> ac_cv_target_alias=i586-mingw32msvc
> am_cv_CC_dependencies_compiler_type=gcc3
> am_cv_CXX_dependencies_compiler_type=gcc3
> lt_cv_deplibs_check_method='file_magic file format
> pei*-i386(.*architecture: i386)?'
> lt_cv_file_magic_cmd='$OBJDUMP -f'
> lt_cv_file_magic_test_file=
> lt_cv_ld_reload_flag=-r
> lt_cv_objdir=.libs
> lt_cv_path_LD=/usr/i586-mingw32msvc/bin/ld
> lt_cv_path_LDCXX=/usr/i586-mingw32msvc/bin/ld
> lt_cv_path_NM='/usr/bin/i586-mingw32msvc-nm -B'
> lt_cv_path_SED=/bin/sed
> lt_cv_prog_compiler_c_o=yes
> lt_cv_prog_compiler_c_o_CXX=yes
> lt_cv_prog_compiler_c_o_F77=yes
> lt_cv_prog_compiler_rtti_exceptions=no
> lt_cv_prog_gnu_ld=yes
> lt_cv_prog_gnu_ldcxx=yes
> lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[
> ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][
> ]*\(_\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p'\'''
> lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^:
> \([^ ]*\) $/ {\"\1\", (lt_ptr)
> 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/ {"\2",
> (lt_ptr) \&\2},/p'\'''
> lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .*
> \(.*\)$/extern int \1;/p'\'''
> lt_cv_sys_max_cmd_len=32768
> lt_lt_cv_prog_compiler_c_o='"yes"'
> lt_lt_cv_prog_compiler_c_o_CXX='"yes"'
> lt_lt_cv_prog_compiler_c_o_F77='"yes"'
> lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[
> ]\\([ABCDGIRSTW][ABCDGIRSTW]*\\)[ ][
> ]*\\(_\\)\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2\\3 \\3/p'\''"'
> lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e
> '\''s/^: \\([^ ]*\\) \$/ {\\\"\\1\\\",
> (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^ ]*\\) \\([^
> ]*\\)\$/ {\"\\2\", (lt_ptr)
> \\&\\2},/p'\''"'
> lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .*
> \\(.*\\)\$/extern int \\1;/p'\''"'
>
> ## ----------------- ##
> ## Output variables. ##
> ## ----------------- ##
>
> ACLOCAL='${SHELL} /home/hmlf/blitz-0.8/config/missing --run
> aclocal-1.8'
> AMDEPBACKSLASH='\'
> AMDEP_FALSE='#'
> AMDEP_TRUE=''
> AMTAR='${SHELL} /home/hmlf/blitz-0.8/config/missing --run tar'
> AR='i586-mingw32msvc-ar'
> AR_FLAGS='-cru'
> AUTOCONF='${SHELL} /home/hmlf/blitz-0.8/config/missing --run autoconf'
> AUTOHEADER='${SHELL} /home/hmlf/blitz-0.8/config/missing
> --run autoheader'
> AUTOMAKE='${SHELL} /home/hmlf/blitz-0.8/config/missing --run
> automake-1.8'
> AWK='gawk'
> BLASLIB=''
> CC='i586-mingw32msvc-gcc'
> CCDEPMODE='depmode=gcc3'
> CFLAGS='-g -O2'
> COMPILER_SPECIFIC_HEADER=''
> CPP='i586-mingw32msvc-gcc -E'
> CPPFLAGS=''
> CXX='i586-mingw32msvc-g++'
> CXXCPP='i586-mingw32msvc-g++ -E'
> CXXDEPMODE='depmode=gcc3'
> CXXFCFLAG=''
> CXXFFLAGS=''
> CXXFLAGS='-g -O2'
> CXX_DEBUG_FLAGS=''
> CXX_LIBS=''
> CXX_OPTIMIZE_FLAGS=''
> CXX_PROFIL_FLAGS=''
> CYGPATH_W='echo'
> DATE='Wed Jun 15 16:41:43 BST 2005'
> DEFS='-DHAVE_CONFIG_H'
> DEPDIR='.deps'
> DOT='dot'
> DOXYGEN='doxygen'
> DOXYGEN_DOC_FALSE='#'
> DOXYGEN_DOC_TRUE=''
> ECHO='echo'
> ECHO_C=''
> ECHO_N='-n'
> ECHO_T=''
> EGREP='grep -E'
> EXEEXT=''
> F77='f77'
> F77_OPTIMIZE_FLAGS=''
> F90_COMPILER_FALSE=''
> F90_COMPILER_TRUE='#'
> FC=''
> FCFLAGS=''
> FCFLAGS_f90=''
> FC_OPTIMIZE_FLAGS=''
> FFLAGS='-g -O2'
> FORTLIBS=''
> INSTALL_DATA='${INSTALL} -m 644'
> INSTALL_PROGRAM='${INSTALL}'
> INSTALL_SCRIPT='${INSTALL}'
> INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
> LDFLAGS=''
> LIBOBJS=''
> LIBS='-lm '
> LIBTOOL='$(SHELL) $(top_builddir)/libtool'
> LN_S='ln -s'
> LTLIBOBJS=''
> MAINT='#'
> MAINTAINER_MODE_FALSE=''
> MAINTAINER_MODE_TRUE='#'
> MAKEINFO='${SHELL} /home/hmlf/blitz-0.8/config/missing --run makeinfo'
> OBJEXT='o'
> OS='Linux wurundjeri 2.4.27-2-686-smp #1 SMP Mon May 16
> 16:55:31 JST 2005 i686 GNU/Linux'
> PACKAGE='blitz'
> PACKAGE_BUGREPORT='blitz-bugs_at_[hidden]'
> PACKAGE_NAME='blitz'
> PACKAGE_STRING='blitz 0.8'
> PACKAGE_TARNAME='blitz'
> PACKAGE_VERSION='0.8'
> PATH_SEPARATOR=':'
> RANLIB='i586-mingw32msvc-ranlib'
> SET_MAKE=''
> SHELL='/bin/sh'
> STRIP='i586-mingw32msvc-strip'
> VERSION='0.8'
> ac_ct_AR=''
> ac_ct_CC=''
> ac_ct_CXX=''
> ac_ct_F77='f77'
> ac_ct_FC=''
> ac_ct_RANLIB=''
> ac_ct_STRIP=''
> am__fastdepCC_FALSE='#'
> am__fastdepCC_TRUE=''
> am__fastdepCXX_FALSE='#'
> am__fastdepCXX_TRUE=''
> am__include='include'
> am__leading_dot='.'
> am__quote=''
> bindir='${exec_prefix}/bin'
> build='i686-pc-linux-gnu'
> build_alias='i686-pc-linux-gnu'
> build_cpu='i686'
> build_os='linux-gnu'
> build_vendor='pc'
> datadir='${prefix}/share'
> enable_dot='yes'
> enable_html_docs='yes'
> enable_latex_docs='no'
> exec_prefix='${prefix}'
> host='i586-pc-mingw32msvc'
> host_alias='i586-mingw32msvc'
> host_cpu='i586'
> host_os='mingw32msvc'
> host_vendor='pc'
> includedir='${prefix}/include'
> infodir='${prefix}/info'
> install_sh='/home/hmlf/blitz-0.8/config/install-sh'
> libdir='${exec_prefix}/lib'
> libexecdir='${exec_prefix}/libexec'
> localstatedir='${prefix}/var'
> mandir='${prefix}/man'
> mkdir_p='mkdir -p -- .'
> oldincludedir='/usr/include'
> pkgconfig_libdir='${libdir}/pkgconfig'
> pkgconfig_libfile='blitz.pc'
> prefix='/usr/local'
> program_transform_name='s,^,i586-mingw32msvc-,'
> sbindir='${exec_prefix}/sbin'
> sharedstatedir='${prefix}/com'
> sysconfdir='${prefix}/etc'
> target='i586-pc-mingw32msvc'
> target_alias='i586-mingw32msvc'
> target_cpu='i586'
> target_os='mingw32msvc'
> target_vendor='pc'
>
> ## ----------- ##
> ## confdefs.h. ##
> ## ----------- ##
>
> #define HAVE_BOOL
> #define HAVE_CLIMITS
> #define HAVE_COMPLEX
> #define HAVE_COMPLEX_FCNS
> #define HAVE_COMPLEX_MATH1
> #define HAVE_COMPLEX_MATH_IN_NAMESPACE_STD
> #define HAVE_CONST_CAST
> #define HAVE_DEFAULT_TEMPLATE_PARAMETERS
> #define HAVE_DYNAMIC_CAST
> #define HAVE_ENUM_COMPUTATIONS
> #define HAVE_ENUM_COMPUTATIONS_WITH_CAST
> #define HAVE_EXCEPTIONS
> #define HAVE_EXPLICIT
> #define HAVE_EXPLICIT_TEMPLATE_FUNCTION_QUALIFICATION
> #define HAVE_FULL_SPECIALIZATION_SYNTAX
> #define HAVE_FUNCTION_NONTYPE_PARAMETERS
> #define HAVE_INTTYPES_H 1
> #define HAVE_LIBM 1
> #define HAVE_MEMBER_CONSTANTS
> #define HAVE_MEMBER_TEMPLATES
> #define HAVE_MEMBER_TEMPLATES_OUTSIDE_CLASS
> #define HAVE_MEMORY_H 1
> #define HAVE_MUTABLE
> #define HAVE_NAMESPACES
> #define HAVE_NCEG_RESTRICT_EGCS
> #define HAVE_NUMERIC_LIMITS
> #define HAVE_PARTIAL_ORDERING
> #define HAVE_PARTIAL_SPECIALIZATION
> #define HAVE_REINTERPRET_CAST
> #define HAVE_RTTI
> #define HAVE_STATIC_CAST
> #define HAVE_STD
> #define HAVE_STDINT_H 1
> #define HAVE_STDLIB_H 1
> #define HAVE_STL
> #define HAVE_STRINGS_H 1
> #define HAVE_STRING_H 1
> #define HAVE_SYS_STAT_H 1
> #define HAVE_SYS_TYPES_H 1
> #define HAVE_TEMPLATES
> #define HAVE_TEMPLATES_AS_TEMPLATE_ARGUMENTS
> #define HAVE_TEMPLATE_KEYWORD_QUALIFIER
> #define HAVE_TEMPLATE_QUALIFIED_RETURN_TYPE
> #define HAVE_TEMPLATE_SCOPED_ARGUMENT_MATCHING
> #define HAVE_TYPENAME
> #define HAVE_TYPE_PROMOTION
> #define HAVE_UNISTD_H 1
> #define HAVE_USE_NUMTRAIT
> #define HAVE_VALARRAY
> #define MATH_FN_IN_NAMESPACE_STD
> #define PACKAGE "blitz"
> #define PACKAGE_BUGREPORT "blitz-bugs_at_[hidden]"
> #define PACKAGE_NAME "blitz"
> #define PACKAGE_STRING "blitz 0.8"
> #define PACKAGE_TARNAME "blitz"
> #define PACKAGE_VERSION "0.8"
> #define STDC_HEADERS 1
> #define VERSION "0.8"
> #define _compiler_name "i586-mingw32msvc-g++"
> #define _compiler_options "-g -O2"
> #define _config_date "Wed Jun 15 16:41:43 BST 2005"
> #define _os_name "Linux wurundjeri 2.4.27-2-686-smp #1 SMP
> Mon May 16 16:55:31 JST 2005 i686
> GNU/Linux"
> #define _platform "i586-pc-mingw32msvc"
> #endif
> #ifdef __cplusplus
> extern "C" void std::exit (int) throw (); using std::exit;
>
> configure: exit 0
>
>
> --------------------------------------------------------------
> -------------------------------
>
> Cheers,
> Andy
>
>
>
>
>
> ----- Original Message -----
> From: "Julian Cummings"
>
> > Hello Andy,
> >
> > I believe something went wrong during the configuration,
> but I need more
> > info to sort this out. What compiler version are you using?
> Could you
> > please send your config.log file so I can see the results of the
> > configuration tests?
> >
> > Also, make sure you are using the latest version of the
> blitz source code
> > from the cvs repository. Just within the past week, I
> corrected a problem
> > with the isnan function, which is declared as a macro by
> some compilers.
> > But since you have the same problem also with the expm1
> function, I think
> > there is something else going wrong here.
> >
>
> expm1 function was only recently (2005-02-11) added to mingw
> runtime. It
> may not be in released versions.
>
> isnan is defined as a macro (as per C99) in mingw's math.h
>
> C99 math bits are guarded by:
>
> #if (defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L) \
> || !defined __STRICT_ANSI__ || defined __cplusplus
>
> Danny
> > Regards, Julian C.
> >
> > Dr. Julian C. Cummings
> > Staff Scientist, CACR/Caltech
> > (626) 395-2543
> > cummings_at_[hidden]
> >
> >
> > > -----Original Message-----
> > > From: blitz-support-bounces_at_[hidden]
> > > [mailto:blitz-support-bounces_at_[hidden]] On Behalf Of
> > > Andrew Hurst
> > > Sent: Friday, May 27, 2005 7:58 AM
> > > To: blitz-support_at_[hidden]
> > > Subject: [Blitz-support] blitz under mingw32
> > >
> > > Hello,
> > > I've just 'inherited' a program using the blitz library.
> > > Thus I came across compiling blitz++ for windows using mingw32.
> > > Has it been done?
> > >
> > > I can't get it to compile using i586-mingw32msvc.
> > > Used configure thus:
> > > ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu
> > > --target=i586-mingw32msvc --disable-shared --enable-std_iostreams
> > >
> > > The first error is attached below.
> > > Any idea what's going on?
> > > Thanks,
> > > Andy
> > >
> > >
> > > make[1]: Entering directory `/home/hmlf/Desktop/blitz-0.8/lib'
> > > if /bin/sh ../libtool --mode=compile i586-mingw32msvc-g++
> > > -DHAVE_CONFIG_H
> > > -I. -I.. -I.. -g -O2 -MT globals.lo -MD -MP -MF
> > > ".deps/globals.Tpo" -c -o
> > > globals.lo `test -f '../src/globals.cpp' || echo
> > > './'`../src/globals.cpp; \ then mv -f ".deps/globals.Tpo"
> > > ".deps/globals.Plo"; else rm -f ".deps/globals.Tpo"; exit 1;
> > > fi i586-mingw32msvc-g++ -DHAVE_CONFIG_H -I. -I.. -I.. -g -O2
> > > -MT globals.lo -MD -MP -MF .deps/globals.Tpo -c
> > > ../src/globals.cpp -o globals.o In file included from
> > > ../blitz/applics.h:400,
> > > from ../blitz/vecexpr.h:35,
> > > from ../blitz/vecpick.cc:26,
> > > from ../blitz/vecpick.h:295,
> > > from ../blitz/vector.h:452,
> > > from ../blitz/tinyvec.h:437,
> > > from ../blitz/indexexpr.h:30,
> > > from ../src/globals.cpp:11:
> > > ../blitz/mathfunc.h: In static member function `static double
> > > blitz::_bz_expm1<P_numtype1>::apply(P_numtype1)':
> > > ../blitz/mathfunc.h:1347: error: `::expm1' has not been declared
> > > ../blitz/mathfunc.h: In static member function `static int
> > > blitz::_bz_blitz_isnan<P_numtype1>::apply(P_numtype1)':
> > > ../blitz/mathfunc.h:1549: error: `::isnan' has not been
> > > declared
>
>
>
>
>
>
>
>
> ___________________________________________________________
> Yahoo! Messenger - NEW crystal clear PC to PC calling
> worldwide with voicemail http://uk.messenger.yahoo.com
> _______________________________________________
> Blitz-support mailing list
> Blitz-support_at_[hidden]
> http://www.oonumerics.org/mailman/listinfo.cgi/blitz-support
>
>